Anonymous Login
2018-11-12 20:46 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000304v1.2 Release (Closed)[All Projects] Generalpublic2009-12-08 19:07
ReporterBenRussoUSA 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.2 
Summary0000304: When updating a project to change the department, the department becomes completely unset.
DescriptionWhen updating a project to change the department, the department becomes completely unset.

When creating a new project, a department can be selected and it works.

But if you edit an existing project to set the department it fails.
Additional InformationI am using 2009-11-05 download of web2project svn # 741
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000578

BenRussoUSA (reporter)

The project_departments table entry get's lost when you edit a project and select a department.

~0000579

BenRussoUSA (reporter)

Actually editing a project at all deletes the entry from the project_departments table. So just editing projects ends up corrupting the db.

~0000580

BenRussoUSA (reporter)

I upgraded to SVN # 762, and same problem.
Any editing of the project (even just click "edit" then "submit")
results in the ROW in the table project_departments
being lost.

~0000581

caseydk (administrator)

Resolved in r762;
Also added a tweak to link the Department name on the Project View screen to the proper Department View screen;
+Notes

-Issue History
Date Modified Username Field Change
2009-11-10 14:10 BenRussoUSA New Issue
2009-11-10 14:25 BenRussoUSA Note Added: 0000578
2009-11-10 14:29 BenRussoUSA Note Added: 0000579
2009-11-11 08:21 BenRussoUSA Note Added: 0000580
2009-11-11 14:37 caseydk Project v1.1 Release (Closed) => v1.2 Release (Closed)
2009-11-11 14:38 caseydk Status new => resolved
2009-11-11 14:38 caseydk Resolution open => fixed
2009-11-11 14:38 caseydk Assigned To => caseydk
2009-11-11 14:38 caseydk Note Added: 0000581
2009-12-08 19:07 caseydk Status resolved => closed
2009-12-08 19:07 caseydk Fixed in Version => 1.2
+Issue History